> For the complete documentation index, see [llms.txt](https://developers.payssam.kr/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.payssam.kr/api/api-v2/cash-receipt.md).

# 현금 영수증

## 현금영수증 발행

> &#x20;   현금영수증을 발급합니다.<br>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"v0"},"tags":[],"servers":[{"url":null,"description":"Generated server url"}],"paths":{"/cash-receipt/issue":{"post":{"tags":["현금영수증 ERP 연동 (발행/취소/조회)"],"summary":"현금영수증 발행","description":"    현금영수증을 발급합니다.\n","operationId":"cashReceiptIssue","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CashReceiptIssueRequest"}}},"required":true},"responses":{"200":{"description":"성공","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BaseResponseCashReceiptIssueResponse"}}}}}}}},"components":{"schemas":{"CashReceiptIssueRequest":{"type":"object","description":"현금 영수증 발생 요청 DTO","properties":{"apiKey":{"type":"string","description":"파트너 연동을 위한 고유키","maxLength":32,"minLength":0},"member":{"type":"string","description":"파트너 사용자 코드","maxLength":60,"minLength":0},"merchant":{"type":"string","description":"파트너 매장 코드","maxLength":60,"minLength":0},"cashReceipt":{"$ref":"#/components/schemas/IssueCashReceiptInfo"}},"required":["apiKey","member","merchant"]},"IssueCashReceiptInfo":{"type":"object","properties":{"billId":{"type":"string","description":"청구서 ID\n문자/숫자 20자리 (중복불가)\n- 개발: 사업자번호 + 10자리 자유롭게 사용\n- 운영: 20자리 자유롭게 사용\n","maxLength":20,"minLength":1},"hash":{"type":"string","description":"통신 암호 키\n{phone} 값이 설정된 경우: {bill_id} + \",\" + {phone} + \",\" + {price} 로 Hash 생성\n{phone} 값이 없는 경우: {bill_id} + \",\" + {price} 로 Hash 생성\n","minLength":1},"price":{"type":"string","description":"결제 금액","minLength":1},"supplyPrice":{"type":"string","description":"    공급가액\n    보내지 않을 경우 사업장의 면,과세 정책을 따라갑니다.\n","minLength":1},"tax":{"type":"string","description":"    세액\n    보내지 않을 경우 사업장의 면,과세 정책을 따라갑니다.\n","minLength":1},"issuanceNumber":{"type":"string","description":"현금영수증 발행 요청 번호","minLength":1},"trader":{"type":"string","description":"현금영수증 발급 구분\n개인:0, 사업자:1\n","minLength":1}},"required":["billId","hash","issuanceNumber","price","supplyPrice","tax","trader"]},"BaseResponseCashReceiptIssueResponse":{"type":"object","description":"공통 API 응답 포맷 (api.spec: code/message/data)","properties":{"code":{"type":"string","description":"응답 코드"},"message":{"type":"string","description":"응답 메시지"},"data":{"$ref":"#/components/schemas/CashReceiptIssueResponse","description":"응답 데이터"}}},"CashReceiptIssueResponse":{"type":"object","description":"현금영수증 발행 응답","properties":{"apiKey":{"type":"string","description":"파트너 연동을 위한 고유키"},"member":{"type":"string","description":"파트너 매장 코드"},"merchant":{"type":"string","description":"파트너 사용자 코드"},"billId":{"type":"string","description":"청구서 ID"},"hash":{"type":"string","description":"요청 시 전달된 해시값"},"trader":{"type":"string","description":"현금영수증 발급 구분 (소득공제/지출증빙)"},"apprCashNum":{"type":"string","description":"현금영수증 승인번호"},"issuanceNumber":{"type":"string","description":"현금영수증 발급 요청 번호 (휴대폰/주민번호/사업자번호)"}}}}}}
```

## 현금영수증 취소

> &#x20;   발급된 현금영수증을 발급 취소합니다.<br>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"v0"},"tags":[],"servers":[{"url":null,"description":"Generated server url"}],"paths":{"/cash-receipt/cancel":{"post":{"tags":["현금영수증 ERP 연동 (발행/취소/조회)"],"summary":"현금영수증 취소","description":"    발급된 현금영수증을 발급 취소합니다.\n","operationId":"cashReceiptCancel","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CashReceiptCancelRequest"}}},"required":true},"responses":{"200":{"description":"성공","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BaseResponseCashReceiptCancelResponse"}}}}}}}},"components":{"schemas":{"CashReceiptCancelRequest":{"type":"object","properties":{"apiKey":{"type":"string","description":"파트너 연동을 위한 고유키","maxLength":32,"minLength":1},"member":{"type":"string","description":"파트너 사용자 코드","maxLength":60,"minLength":1},"merchant":{"type":"string","description":"파트너 매장 코드","maxLength":60,"minLength":1},"cashReceipt":{"$ref":"#/components/schemas/CancelCashReceiptInfo"}},"required":["apiKey","member","merchant"]},"CancelCashReceiptInfo":{"type":"object","properties":{"billId":{"type":"string","description":"    청구서 ID\n    문자/숫자 20자리 (중복불가)\n    -개발: 사업자번호 + 10자리 자유롭게 사용\n    -운영: 20자리 자유롭게 사용\n","maxLength":20,"minLength":1},"hash":{"type":"string","description":"통신 암호 키\n{phone} 값이 설정된 경우 {bill_id} + \",\" + {phone} + \",\" + {price} 값으로 Hash 생성\n{phone} 값이 설정되어 있지 않은 경우 {bill_id} + \",\" + {price} 값으로 Hash 생성\n","minLength":1},"price":{"type":"string","description":"결제 금액","minLength":1},"trader":{"type":"string","description":"현금영수증 발급 구분\n개인:0, 사업자:1\n","minLength":1}},"required":["billId","hash","price","trader"]},"BaseResponseCashReceiptCancelResponse":{"type":"object","description":"공통 API 응답 포맷 (api.spec: code/message/data)","properties":{"code":{"type":"string","description":"응답 코드"},"message":{"type":"string","description":"응답 메시지"},"data":{"$ref":"#/components/schemas/CashReceiptCancelResponse","description":"응답 데이터"}}},"CashReceiptCancelResponse":{"type":"object","description":"현금영수증 취소 응답","properties":{"apiKey":{"type":"string","description":"파트너 연동을 위한 고유키"},"member":{"type":"string","description":"파트너 매장 코드"},"merchant":{"type":"string","description":"파트너 사용자 코드"},"billId":{"type":"string","description":"청구서 ID"},"hash":{"type":"string","description":"요청 시 전달된 해시값"},"apprCashNum":{"type":"string","description":"현금영수증 취소 승인번호"}}}}}}
```

## 현금영수증 단건 조회

> &#x20;   발급된 현금영수증의 정보를 조회합니다.<br>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"v0"},"tags":[],"servers":[{"url":null,"description":"Generated server url"}],"paths":{"/cash-receipt/read":{"post":{"tags":["현금영수증 ERP 연동 (발행/취소/조회)"],"summary":"현금영수증 단건 조회","description":"    발급된 현금영수증의 정보를 조회합니다.\n","operationId":"cashReceiptRead","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CashReceiptReadRequest"}}},"required":true},"responses":{"200":{"description":"성공","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BaseResponseCashReceiptReadResponse"}}}}}}}},"components":{"schemas":{"CashReceiptReadRequest":{"type":"object","properties":{"apiKey":{"type":"string","description":"파트너 연동을 위한 고유키","maxLength":32,"minLength":1},"member":{"type":"string","description":"파트너 사용자 코드","maxLength":60,"minLength":1},"merchant":{"type":"string","description":"파트너 매장 코드","maxLength":60,"minLength":1},"cashReceipt":{"$ref":"#/components/schemas/ReadCashReceiptInfo"}},"required":["apiKey","member","merchant"]},"ReadCashReceiptInfo":{"type":"object","properties":{"billId":{"type":"string","description":"    청구서 ID\n    문자/숫자 20자리 (중복불가)\n    -개발: 사업자번호 + 10자리 자유롭게 사용\n    -운영: 20자리 자유롭게 사용\n","maxLength":20,"minLength":1},"hash":{"type":"string","description":"통신 암호 키\n{phone} 값이 설정된 경우 {bill_id} + \",\" + {phone} + \",\" + {price} 값으로 Hash 생성\n{phone} 값이 설정되어 있지 않은 경우 {bill_id} + \",\" + {price} 값으로 Hash 생성\n","minLength":1},"price":{"type":"string","description":"취소 금액","minLength":1}},"required":["billId","hash","price"]},"BaseResponseCashReceiptReadResponse":{"type":"object","description":"공통 API 응답 포맷 (api.spec: code/message/data)","properties":{"code":{"type":"string","description":"응답 코드"},"message":{"type":"string","description":"응답 메시지"},"data":{"$ref":"#/components/schemas/CashReceiptReadResponse","description":"응답 데이터"}}},"CashReceiptReadResponse":{"type":"object","description":"현금영수증 조회 응답","properties":{"apiKey":{"type":"string","description":"파트너 연동을 위한 고유키"},"member":{"type":"string","description":"파트너 매장 코드"},"merchant":{"type":"string","description":"파트너 사용자 코드"},"billId":{"type":"string","description":"청구서 ID (요청 값 echo)"},"info":{"type":"array","description":"현금영수증 이력 목록 (발행/취소 포함)","items":{"$ref":"#/components/schemas/Info"}}}},"Info":{"type":"object","description":"현금영수증 단건 이력","properties":{"billId":{"type":"string","description":"청구서 ID","maxLength":20},"apprPrice":{"type":"string","description":"승인 금액"},"apprSupplyPrice":{"type":"string","description":"공급가액"},"apprTax":{"type":"string","description":"세액"},"trader":{"type":"string","description":"발급 구분 (소득공제/지출증빙)"},"apprNum":{"type":"string","description":"승인번호"},"apprState":{"type":"string","description":"승인 상태 (F:승인, C:취소)"},"apprDt":{"type":"string","description":"승인 일시 (YYYYMMDDhhmmss)"},"issuanceNumber":{"type":"string","description":"발급 요청 번호 (휴대폰/주민번호/사업자번호)"}},"required":["billId"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.payssam.kr/api/api-v2/cash-receipt.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
